#!/usr/bin/perl -w
#=========================================================================
#
#    NL-Update
#
#    Update access via National Licenses
#
#    $Id: $
#    Last change: <Tue, 2009/01/06 18:20:48 arwagner ingata>
#    Author     : Alexander Wagner
#    Language   : Perl
#
#-------------------------------------------------------------------------
#
#    Copyright (C) 2008 by Alexander Wagner
#
#    This is free software; you can redistribute it and/or modify it
#    under the terms of the GNU Genereal Public License as published
#    by the Free Software Foundation; either version 2, or (at your
#    option) any later version.
#
#    This program is distributed in the hope that it will be usefull,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#    General Public License for more details.
#
#    You should have recieved a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#=========================================================================

# input is xls, output is mysql, some data comes from ZDB
use XML::XPath;
use DBI;
use IO::Handle;
use EZeit;
*STDOUT->autoflush(1);    # Unbuffered screen IO

#======================================================================

EZeit::ReadConfig();
my $dbh = EZeit::ConnectDB();
my $zdb = EZeit::ConnectZDB();

my $sql = "SELECT ppn, zdbid FROM ZDB WHERE dfglicense = 1;";
my $sth = $dbh->prepare($sql);

$sth->execute;

my $i=0;
while (@row = $sth->fetchrow_array) {
   $ppn   = $row[0];
   $zdbid = $row[1];
   $record = EZeit::PPN2ZDBRecord($zdb, $ppn);
   ($ezbid, $NL, $NLStart, $NLEnd) = EZeit::ExtractEZBIDNL($record);
   EZeit::AddNLSubscription($dbh, $zdbid, $ezbid, $NLStart, $NLEnd);
}

$sth->finish;
$dbh->disconnect();

